@echo off
cls

echo   ͻ
echo                                                                          
echo                             Delete Mix History                           
echo                                                                          
echo   ͹
echo                                                                          
echo       Deleting Mix History can speed up searches in Mixit Pro. You       
echo       can delete all history for maximum speed increase, or you can      
echo       delete all history except color mixes for moderate speed increase  
echo                                                                          
echo   ͹
echo                                                                          
echo      ****   If you have not backed up UserData, select exit,  ****       
echo      ****   backup Userdata, then start this utililty again.  ****       
echo                                                                          
echo          1.     Delete all mix history                                   
echo                                                                          
echo          2.     Delete all history except color mixes                    
echo                                                                          
echo          E.     Exit                                                     
echo                                                                          
echo   ͼ
echo.

choice /c:12E > nul
if errorlevel 3 goto end
if errorlevel 2 goto color
if errorlevel 1 goto all
echo choice.com failed
pause
goto end

:all

set product=All

cls

echo   ͻ
echo                                                                          
echo                             Delete Mix History                           
echo                                                                          
echo   ͹
echo                                                                          
echo                                                                          
echo                     C.       Confirm delete all mix history              
echo                                                                          
echo                     E.       Exit                                        
echo                                                                          
echo   ͼ
echo.

choice /c:CE > nul
if errorlevel 2 goto end
if errorlevel 1 goto delete
echo choice.com failed
pause
goto end


:color

cls

echo   ͻ
echo                                                                          
echo                             Delete Mix History                           
echo                                                                          
echo   ͹
echo                                                                          
echo                                                                          
echo                     Delete Mix History except for                        
echo                                                                          
echo                                                                          
echo                     1.       Autobase Plus                               
echo                                                                          
echo                     2.       Autowave                                    
echo                                                                          
echo                     3.       Lesonal SB                                  
echo                                                                          
echo                     4.       Lesonal WB (NA)                             
echo                                                                          
echo                     E.       Exit                                        
echo                                                                          
echo   ͼ
echo.

choice /c:1234E > nul
if errorlevel 5 goto end
if errorlevel 4 goto LWB
if errorlevel 3 goto SB
if errorlevel 2 goto AWMM
if errorlevel 1 goto ABP
echo choice.com failed
pause
goto end


:ABP

set product=Autobase Plus MM

cls

echo   ͻ
echo                                                                          
echo                             Delete Mix History                           
echo                                                                          
echo   ͹
echo                                                                          
echo                                                                          
echo       C.       Confirm delete all mix history except Autobase Plus       
echo                                                                          
echo       E.       Exit                                                      
echo                                                                          
echo   ͼ
echo.

choice /c:CE > nul
if errorlevel 2 goto end
if errorlevel 1 goto delete
echo choice.com failed
pause
goto end


:AWMM
set product=Autowave MM

cls

echo   ͻ
echo                                                                          
echo                             Delete Mix History                           
echo                                                                          
echo   ͹
echo                                                                          
echo                                                                          
echo       C.       Confirm delete all mix history except Autowave            
echo                                                                          
echo       E.       Exit                                                      
echo                                                                          
echo   ͼ
echo.

choice /c:CE > nul
if errorlevel 2 goto end
if errorlevel 1 goto delete
echo choice.com failed
pause
goto end


:SB

set product=Basecoat SB MM

cls

echo   ͻ
echo                                                                          
echo                             Delete Mix History                           
echo                                                                          
echo   ͹
echo                                                                          
echo                                                                          
echo       C.       Confirm delete all mix history except Lesonal SB          
echo                                                                          
echo       E.       Exit                                                      
echo                                                                          
echo   ͼ
echo.

choice /c:CE > nul
if errorlevel 2 goto end
if errorlevel 1 goto delete
echo choice.com failed
pause
goto end



:LWB

set product=Basecoat WB MM (NA)

cls

echo   ͻ
echo                                                                          
echo                             Delete Mix History                           
echo                                                                          
echo   ͹
echo                                                                          
echo                                                                          
echo       C.       Confirm delete all mix history except Lesonal WB (NA)     
echo                                                                          
echo       E.       Exit                                                      
echo                                                                          
echo   ͼ
echo.

choice /c:CE > nul
if errorlevel 2 goto end
if errorlevel 1 goto delete
echo choice.com failed
pause
goto end


:delete

cls
echo. 
echo.
echo Deleting mix history  -  this may take a minute
echo.
echo.

sqlcmd -U sa -P N3th3rL@nd$ -d UserData -S .\MixLogic -Q "Select distinct qi.* into #QI FROM queueitem qi WHERE QI.MixProduct not like '%product%' Select distinct USC.* into #USC FROM UsageSearchCriteria USC WHERE UsageSearchCriteria_Id IN(select UsageSearchCriteria_Id from #QI) Select distinct UR.* into #UR FROM UsageResult UR WHERE UsageResult_Id IN(select UsageResult_Usage_Id from #QI) Select distinct U.* into #U FROM UOM U WHERE UOM_Id IN(select UOM_Amount_Id from #QI union select UOM_AmountOriginalSearch_Id from #QI union select UOM_AmountPoured_Id from #QI union select UOM_AmountOfFinalColor_Id from #QI union select UOM_AmountLeft_Id from #QI union select UOM_AmountOfPreTintColor_Id from #QI union select UOM_AmountSprayed_Id from #QI union select UOM_AmountWasted_Id from #QI) Select distinct F.* into #F FROM Formula F WHERE Formula_Id IN(select Formula_Id from #QI) delete from QueueItem where QueueItem_Id in(select QueueItem_Id from #QI) delete from Formula where Formula_Id in(select Formula_Id from #F) delete from UOM where UOM_Id in(select UOM_Id from #U) delete from UsageResult where UsageResult_Id in(select UsageResult_Id from #UR) delete from UsageSearchCriteria where UsageSearchCriteria_Id in(select UsageSearchCriteria_Id from #USC) delete from SpectroWorkItem delete from SpectroMeasurement "

echo.
echo.
echo   Mix history deleted
echo.

pause

goto end



:end
